/*
 * TelPac-Node/LinuX developed by Hans-J. Barthen, DL5DI based on tcp_call
 * from ax25-tools 0.0.8, enhanced for full-binary transfer and automatic
 * password protected user- and node-logon at Winlink 2000 servers.
 *
 * This code is like the original tools term of the GNU licence.
 *
 * In case of problems please contact dl5di@darc.de/dl5di@db0lj.ampr.org
 * Hans-Juergen Barthen, Franz-Josef-Str. 20, D-56642 Kruft
 */

#define REV "Rev1.0"
 
extern void err(char *message);
extern void msg(char *message);

extern struct ust select_loop(int s, char *usercall, char *passwd, char *nodecall);
extern struct ust aci(int s, char *passwd, char *nodecall, char *hostname);

extern int paclen;
int verbose;

struct ust {
	    int errcode;
	    unsigned long bytes_sent; 
	    unsigned long bytes_recv; 
};

extern int log_logon(char *usercall, time_t tstart, char *hostname);
extern int log_logout(char *usercall, struct ust userstat, time_t tstart, time_t tstop);
extern int log_aci(char *hostname, struct ust userstat, time_t tstart, time_t tstop);

extern const char configfile[];
extern const char logfile[];
extern const char hostfile[];
extern const char errfile[];

extern int user_write(int fd, const void *buf, size_t count);
extern int user_read(int fd, void *buf, size_t count);

